Kerbal Space Program - Bug #10083

Docking issue - Won't undock
07/03/2016 06:11 PM - davis1118

Status: Duplicate Start date: 07/03/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

| just installed a new clean version of 1.1.3 and remade my Saturn V replica that | originally made in version 1.0.5. The older version
rocket worked fine, but now when | try to undock the lunar lander from the command module either above the mun or above kerbal it
remains attached and the the "undock" button disappears and they are permanently attached. The lunar lander and the command
module dock together without and issue, it's only when | try to undock. Like | stated, this is a clean version of 1.1.3 and a completely
new rocket built in the new version. | have never had this issue until now.

Related issues:
Is duplicate of Kerbal Space Program - Bug #10045: Clamp-O-Tron Fails to Func... Closed 06/25/2016

History

#1 - 07/04/2016 12:44 AM - davis1118
- File Kerbal.png added

Update: | am able to get the docking ports to work if | follow a few online steps provided from other users on reddit.

-Before trying to separate the docking ports, quicksave game.

-Open the persistent file under the saved folder.

-Find the first docking port in the part list and change the state to "Docked (docker)" then under the Undock list change "active=False" to =True.
-Find the second docking part and make the same changes except change the state to "Docked (dockee)"

-Make the same changes above in the quicksave file under the saved folder.

-Reload the saved game in Kerbal.

-Go to tracking station and fly the ship that changes were made too.

-Docking ports now undock.

This is a lot of scrolling through lines of code to make such a simple part work.
| also had more time to put together a screenshot of my setup if that is at all helpful.

#2 - 07/04/2016 10:49 AM - sal_vager

To avoid this problem save your game (F5) then load it (hold F9) after jettisoning any fairings or engine shrouds.

#3-07/17/2016 11:12 AM - TriggerAu
- Status changed from New to Updated
- Severity changed from High to Normal
- % Done changed from 0 to 10

Setting updated for confirmation during cleanup

#4 - 07/17/2016 11:52 PM - Claw
- Status changed from Updated to Confirmed

#5 - 07/17/2016 11:54 PM - Claw
- Related to Bug #10045: Clamp-O-Tron Fails to Function added
#6 - 07/17/2016 11:54 PM - Claw
- Status changed from Confirmed to Duplicate

- % Done changed from 10 to 100

#7 - 10/03/2016 10:14 PM - bensonv12
- File KSP docking port bug1.jpg added

davis1118 wrote:

| just installed a new clean version of 1.1.3 and remade my Saturn V replica that | originally made in version 1.0.5. The older version rocket
worked fine, but now when | try to undock the lunar lander from the command module either above the mun or above kerbal it remains attached
and the the "undock" button disappears and they are permanently attached. The lunar lander and the command module dock together without
and issue, it's only when | try to undock. Like | stated, this is a clean version of 1.1.3 and a completely new rocket built in the new version. | have

never had this issue until now.

| also have this issue, also V1.1.3.1289. similar Kapollo copy. i can undock the orbiter from the lander, rotate through 180 degrees and re-dock the
other end of the orbiter with the lander. all ok so far. But, when i try to undock, i click on the un-dock button nothing happens and the button
disappears from both docking ports leaving me unable to undock the orbiter from the lander.

There's a short video showing the problem here
https://www.youtube.com/watch?v=2YTvaBdQzaw

#8 - 10/13/2016 12:28 PM - Squelch
- Related to deleted (Bug #10045: Clamp-O-Tron Fails to Function)

#9 - 10/13/2016 12:28 PM - Squelch
- Is duplicate of Bug #10045: Clamp-O-Tron Fails to Function added
